LibreOffice: XMenuBarMergingAcceptor Interface Reference

LibreOffice LibreOffice 7.0 SDK API Reference

Public Member Functions | List of all members
XMenuBarMergingAcceptor Interface Reference

provides functions to set and remove a merged menu bar for inplace editing. More...

`import"XMenuBarMergingAcceptor.idl";`

Inheritance diagram for XMenuBarMergingAcceptor:

## Public Member Functions
boolean | setMergedMenuBar ([in] ::com::sun::star::container::XIndexAccess xMergedMenuBar)
| allows to set a merged menu bar. More...
void | removeMergedMenuBar ()
| removes a previously set merged menu bar and sets a previously created menu bar back. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functions to set and remove a merged menu bar for inplace editing.

Since
  OOo 2.0

## Member Function Documentation

## ◆ removeMergedMenuBar()

void removeMergedMenuBar | ( |  | ) |

removes a previously set merged menu bar and sets a previously created menu bar back.

## ◆ setMergedMenuBar()

boolean setMergedMenuBar | ( | [in] ::com::sun::star::container::XIndexAccess | xMergedMenuBar | ) |

allows to set a merged menu bar.

Parameters

  xMergedMenuBar | specifies the merged menu bar.

This function is normally used to provide inplace editing where functions from two application parts, container application and embedded object, are available to the user simultaneously. A menu bar which is set by this method has a higher priority than others created by com::sun::star::frame::XLayoutManager interface. Settings of a merged menu bar cannot be retrieved.

See also
  com::sun::star::ui::UIElementSettings
  com::sun::star::frame::XDispatchProvider
  com::sun::star::frame::XLayoutManager

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XMenuBarMergingAcceptor.idl